/**
 *
 */
package de.intevation.gnv.transition.profile.horizontal;

import java.util.ArrayList;
import java.util.Collection;

import de.intevation.artifacts.CallMeta;
import de.intevation.gnv.artifacts.ressource.RessourceFactory;
import de.intevation.gnv.geobackend.base.Result;
import de.intevation.gnv.transition.TransitionBase;
import de.intevation.gnv.transition.describedata.DefaultKeyValueDescribeData;
import de.intevation.gnv.transition.describedata.KeyValueDescibeData;
import de.intevation.gnv.transition.describedata.NamedArrayList;
import de.intevation.gnv.transition.describedata.NamedCollection;
import de.intevation.gnv.transition.exception.TransitionException;

/**
 * @author Tim Englich <tim.englich@intevation.de>
 * 
 */
public class NorthSouthEastWestTransition extends TransitionBase {

    /**
     * The UID of this Class
     */
    private static final long serialVersionUID = -7989531326553305293L;

    /**
     * Constructor
     */
    public NorthSouthEastWestTransition() {
    }

    /**
     * @see de.intevation.gnv.transition.Transition#validate()
     */
    public boolean validate() {
        return true;
    }

    /**
     * @see de.intevation.gnv.transition.TransitionBase#advance(java.lang.String,
     *      de.intevation.artifacts.CallMeta)
     */
    @Override
    public void advance(String uuid, CallMeta callMeta)
                                                       throws TransitionException {
        Collection<Object> describeData = this.getDescibeData(uuid);
        if (describeData == null) {
            describeData = new ArrayList<Object>();
        }
        NamedCollection<KeyValueDescibeData> keyValueDescibeData = new NamedArrayList<KeyValueDescibeData>(
                this.dataName, 2);
        keyValueDescibeData.setMultiSelect(super.dataMultiSelect);
        keyValueDescibeData.add(new DefaultKeyValueDescribeData("IPOSITION",
                RessourceFactory.getInstance().getRessource(
                        callMeta.getLanguages(), "iposition", "iposition")));
        keyValueDescibeData.add(new DefaultKeyValueDescribeData("JPOSITION",
                RessourceFactory.getInstance().getRessource(
                        callMeta.getLanguages(), "jposition", "jposition")));
        describeData.add(keyValueDescibeData);
    }

    @Override
    protected void purifyResult(Collection<Result> result, String uuid) {

    }

}
